For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Create Billing Plan

POST
https://javelin.runpayments.io/api/v1/billing_plans
POST
/api/v1/billing_plans
$curl -X POST https://javelin.runpayments.io/api/v1/billing_plans \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Testing Payment Plan",
> "description": "Rental Payments",
> "mid": "800000001780",
> "payment_account_uuid": "1f0bb43e-a184-6f30-a618-7784b6d018bc",
> "amount": "120.00",
> "rrule_pattern": "DTSTART:20270101T090000Z\nRRULE:FREQ=DAILY;INTERVAL=1;UNTIL=20270110T235959Z"
>}'
1{
2 "id": 6549
3}
Creates a new billing plan for recurring payments
Was this page helpful?
Previous

Get Billing Plan

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Unique identifier name for the billing plan
descriptionstringRequired
Detailed description of the billing plan's purpose
midstringRequired
Merchant ID assigned to your account
payment_account_uuidstringRequiredformat: "uuid"
Unique identifier for the vault payment method
amountstringRequired
Recurring payment amount in dollars
rrule_patternstringRequired
RFC 5545 recurrence rule defining payment frequency

Response

Billing plan created successfully
idinteger
Unique identifier for the newly created billing plan

Errors

400
Bad Request Error
401
Unauthorized Error